<?php
	include('class.db.connection.php');
	class DB
	{
		private $general;
		function __construct()
		{
			$db = new DB_Class();
			$this->general = new general();
		}
		private function GetMessage($msg,$type){
			$this->general->GetMessage($msg,$type);
		}

		public function update($table, $data, $where,$echo = 'No'){
			$count = count($data);
			$where_count = count($where);

			$sql = "UPDATE `".$table."` SET";

			$start = 0;
			foreach ($data as $k => $v)
			{
				$start = $start + 1;

				if($start == $count)
				{
					$sql .= " `".$k."` = '".$v."'";
				} else {
					$sql .= " `".$k."` = '".$v."', ";
				}
			}
			$sql .= " WHERE ";

			if($where_count == 1)
			{
				foreach($where as $m => $n)
				{
					$sql .= "`".$m."` = '".$this->esc($n)."'";
				}
			}
			else
			{
				$x = 0;
				foreach($where as $m => $n)
				{
					$x = $x + 1;
					if($x == $where_count)
					{
						$sql .= "`".$m."` = '".$this->esc($n)."'";
					} else {
						$sql .= "`".$m."` = '".$this->esc($n)."' and ";
					}
				}
			}

			if($echo != 'No'){
				echo $sql;
			}
			$update = mysql_query($sql);

			if($update)
				return true;
			else
				return false;
		}

		public function insert($table, $data, $getId = '',$echo = 'No'){
			$count = count($data);
			$sql = "INSERT INTO `".$table."` (";

			$start = 0;
			foreach ($data as $k => $v)
			{
				$start = $start + 1;

				if($start == $count)
				{
					$sql .= "`".$k."`";
				} else {
					$sql .= "`".$k."`, ";
				}
			}

			$sql .= ") value (";

			$number = 0;
			foreach ($data as $k => $v)
			{
				$number = $number + 1;

				if($number == $count)
				{
					$sql .= "'".$this->esc($v)."'";
				} else {
					$sql .= "'".$this->esc($v)."', ";
				}
			}
			$sql .= ")";

			$insert = mysql_query($sql);
			if($echo != 'No'){
				echo $sql;
			}
			if($insert)
			{
				if($getId == 'getId')
				{
					return mysql_insert_id();
				}
				else
				{
					return true;
				}
			}
			else
			{
				return false;
			}
		}

		public function delete($table, $where){
			$where_count = count($where);
			$sql = "DELETE FROM `".$table."` WHERE ";

			if($where_count == 1)
			{
				foreach($where as $m => $n)
				{
					$sql .= "`".$m."` = '".$this->esc($n)."'";
				}
			}
			else
			{
				$x = 0;
				foreach($where as $m => $n)
				{
					$x = $x + 1;
					if($x == $where_count)
					{
						$sql .= "`".$m."` = '".$this->esc($n)."'";
					} else {
						$sql .= "`".$m."` = '".$this->esc($n)."' and ";
					}
				}
			}
			//echo $sql;
			$delete = mysql_query($sql);

			if($delete)
				return true;
			else
				return false;
		}

		public function esc($string){
			return mysql_real_escape_string($string);
		}

		public function get_data($tableName, $where, $wherevalue, $rowname){
			//echo "SELECT * FROM $tableName WHERE $where = '$wherevalue'<br>";
			$sql = mysql_query("SELECT `$rowname` FROM $tableName WHERE $where = '$wherevalue'");
			$row = mysql_fetch_assoc($sql);
			return $row["$rowname"];
		}

		public function get_rowData($tableName, $where, $wherevalue,$echo='no'){
			if($echo != 'no'){
				echo "SELECT * FROM $tableName WHERE $where = '$wherevalue'<br>";
			}
			$sql = mysql_query("SELECT * FROM $tableName WHERE $where = '$wherevalue'");
			return $row = mysql_fetch_assoc($sql);

		}

		public function getRowData($tableName,$where,$echo = 'No'){
			$sql = mysql_query("SELECT * FROM $tableName $where");
			if($echo != 'No'){
				echo "SELECT * FROM $tableName $where<br>";
			}
			return $row = mysql_fetch_assoc($sql);
		}

		public function show_message($front = 'No'){
			if(isset($_SESSION['msg'])){
				$message = $_SESSION['msg'];
				foreach($message as $msg){

					$cmsg = unserialize($msg);
					$msgData = $this->get_rowData($this->general->table(7),'msg_id',intval($cmsg[0]));
					if(!empty($msgData)){
						$mainMessage = $msgData['msg_value'];
						$count = count($cmsg);
						for($i=1; $i<$count; $i++){
							$mainMessage = str_ireplace('@'.$i.'@',$cmsg[$i],$mainMessage);
						}
						if($front == "No"){
							$this->general->get_message($mainMessage,$msgData['msg_type'],$msgData['msg_id']);
						}
						else{
							$this->general->get_messagef($mainMessage,$msgData['msg_type'],$msgData['msg_id']);
						}
					}
				}
				unset($_SESSION['msg']);
			}
		}

		public function create_new_notification($User_ID,$notifiId,$value1='', $value2='', $value3='' ,$value4='' ,$value5='', $value6=''){
			$totalArgs = func_num_args();
			$notifiInfo = array();
			for($i=1; $i<$totalArgs; $i++){
				$notifiInfo[] = func_get_arg($i);
			}
			$notifi = serialize($notifiInfo);
			$notifiData = array(
				'User_ID'           => $User_ID,
				'ntf_create_time'   => time(),
				'message'           => $notifi
			);
			$this->insert($this->general->table(33),$notifiData);
		}

		public function show_notification($User_ID){
			$notifides = $this->selectAll($this->general->table(33),"where User_ID = ".$User_ID." and confirm = 0");
			if(!empty($notifides)){
				foreach($notifides as $notf){
					$msgArray = unserialize($notf['message']);
					$msgData = $this->get_rowData($this->general->table(7),'msg_id',$msgArray[0]);
					if(!empty($msgData)){
					?>
					<div id="<?=$notf['ntf_id']?>">
						<?php
							$mainMessage = $msgData['msg_value'];
							$count = count($msgArray);
							for($i=1; $i<$count; $i++){
								$mainMessage = str_ireplace('@'.$i.'@',$msgArray[$i],$mainMessage);
							}
							$this->general->get_messagef($mainMessage,$msgData['msg_type'],'','1');
						?>
						<input type="button" name="confirm" value="Ok" class="btn pull-right" onclick="recive_notification('<?=$notf['ntf_id']?>')"><br><br>
					</div>
					<script type="text/javascript">
						function recive_notification(notifi_id){
							$('#'+notifi_id).hide(700);
							if (window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
								xmlhttp=new XMLHttpRequest();
							}
							else{// code for IE6, IE5
								xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
							}
							xmlhttp.onreadystatechange=function(){
								if (xmlhttp.readyState==4 && xmlhttp.status==200){
									//document.getElementById("desingation").innerHTML=xmlhttp.responseText;
									//alert(xmlhttp.responseText);
								}
							}
							xmlhttp.open("GET","ajax/ajax.php?recive_notification="+notifi_id+"&user=<?=$User_ID?>", true);
							xmlhttp.send();
						}
					</script>
					<?php


					}
				}
			}
		}

		public function getLookUpDataSub($subType,$code,$echo = 'No'){
			$data =  $this->getRowData($this->general->table(41)," where lookup_sub_type= '".$subType."' and lookup_code = '".$code."'",$echo);
			return $data;
		}

		public function getLookUpDataBySub($subType,$echo = 'No'){
			$data =  $this->selectAll($this->general->table(41),"where lookup_sub_type = '".$subType."'",$echo);
			return $data;
		}

		public function selectAll($table, $where='',$echo ='No'){
			$result = array();
			$data = $this->esc($table);
			$all = mysql_query("SELECT * FROM `$data` $where");
			if($echo != 'No'){
				echo 'SELECT * FROM `'.$data.'` '.$where.'<br>';
			}
			while($table= mysql_fetch_array($all))
			{
				$result[] = $table;
			}
			return $result;
		}

		public function check_available($table, $where ){
			//echo "SELECT * FROM $table   $where<br>";
			$total = mysql_query("SELECT * FROM ".$table." ".$where);
			$total = mysql_fetch_array($total);
			$count = $total[0];

			if($count > 0)
			{
				return false;
			}
			else
			{
				return true;
			}
		}

		public function statusChance($table, $id, $whereFild, $where){
			if(mysql_query("UPDATE `$table` SET `status` = $id WHERE `$whereFild` = $where")){
				return true;
			}
			else{
				return false;
			}
		}

		public function make_slug_available($table, $where ,$slug){
			$total = mysql_query("SELECT * FROM `$table` $where");
			$count = mysql_num_rows($total);
			if($count > 0)
			{
				return $slug.rand(123,987);
			}
			else
			{
				return $slug;
			}
		}

		public function settings_value($key){
			$settings = $this->get_rowData($this->general->table(9),'s_key',$key);
			return $settings['s_value'];
		}

		public function settings_update($value,$key){
			$data = array(
				's_value' => $value
			);
			$where = array(
				's_key' => $key
			);
			$this->update($this->general->table(9),$data,$where);
		}

		public function login($userLogin){
			$thisUser = $this->get_rowData($this->general->table(5),'username',$userLogin);
			if(empty($thisUser)){
				unset($_SESSION['halfuser']);
				header('location: '.$this->general->stting->url);
				exit();

			}
		}
		
		public function static_page_data($page_slug){
			$sp_data = $this->get_rowData($this->general->table(12),'sp_url',$page_slug);
			return $sp_data;
		}
		
		public function static_page_url($sp_id){
			$slug = $this->get_data($this->general->table(12),'sp_id',$sp_id,'sp_url');
			return '?page='.$slug;
		}
		
		public function username($id){
			return $this->get_data($this->general->table(9),'id',$id,'en_name');
		}
	}
?>