<?php
	if(isset($_GET['order'])){
	?>
	<script type="text/javascript" src="js/jquery-1.3.2.min.js"></script>
	<script type="text/javascript" src="js/jquery-ui-1.7.1.custom.min.js"></script>
	<script type="text/javascript">
		$(document).ready(function(){ 

			$(function() {
				$("#contentLeft ul").sortable({ opacity: 0.6, cursor: 'move', update: function() {
					var order = $(this).sortable("serialize") + '&menuorder=order'; 
					$.post("ajax/ajax.php", order, function(theResponse){
						$("#output").html(theResponse);
					});                                                              
					}                                  
				});
			});

		});    
	</script>
	<div id="contentWrap">
		<div id="output"></div>
		<div id="contentLeft" class="span5">
			<ul style="list-style: none;">
				<?php
					$menus = $db->selectAll($general->table(1),' where m_parent = 0 order by m_order asc');

					foreach($menus as $menu)
					{
						$childs = $db->selectAll($general->table(1),' where m_parent = '.$menu['m_id'].' order by m_order asc');
					?>
					<li class="navbar-inner" id="recordsArray_<?=$menu['m_id']; ?>">
						<?php echo $menu['m_order'] . " - " . $menu['m_title'];

							if(!empty($childs)){
							?>
							<ul style="list-style: none;">
								<?php
									foreach($childs as $ch){
									?>
									<li class="navbar-inner btn btn-large span3" id="recordsArray_<?=$ch['m_id']; ?>">
										<?=$ch['m_order'] . " - " .$ch['m_title'];?>
									</li>
									<?php
									}
								?>
							</ul>
							<?php
							}

						?>
					</li>
					<?php
					}
				?>
			</ul>
		</div>
	</div>
	<?php
	}
	else{
		if(isset($_GET['menuadd'])){
			if(isset($_POST['mAdd'])){
				$image = $_FILES["file"]["name"];
				$tempImage = $_FILES['file']['tmp_name'];

				if ($image) {
					$destination = "quick_menu_icon/";
					$name = strtolower(str_ireplace(' ','_',$_POST['mTitle']));
					$imgName = $general->image_upload($image,$tempImage,$destination,$name,100,100);
				}
				$title = $_POST['mTitle'];
				$url = $_POST['nUrl'];    
				$parent = $_POST['mParent'];
				$status = $_POST['status'];

				$dataValidity = array(
					array(
						'field'        => $title,
						'label'        => 'Menu Title',
						'rules'        => 'need',
						'min_length'   => '3',
						'max_length'   => '30'
					),
					array(
						'field'        => $url,
						'label'        => 'Menu URL',
						'rules'        => 'need',
						'min_length'   => '3',
						'max_length'   => '30'
					),
					array(
						'field'   => $imgName,
						'label'   => 'Menu Icon',
						'rules'   => 'need'
					)
				);
				$data = $validation->set_rules($dataValidity);
				if($data == true)
				{
					$urlCheck = $db->check_available("menu", " WHERE `m_url` ='".$url."'");
					if($urlCheck == true)
					{
						$newMenu = array(
							'm_url'     => $url,
							'm_title'   => $title,
							'm_icon'    => $imgName,
							'm_parent'  => $parent,
							'status'    => $status
						);
						//print_r($newMenu);
						//Insert menu and get id.
						$menuId = $db->insert('menu', $newMenu, 'getId');
						//set all admin's privileges
						$userType = $db->selectAll('su_type');
						$count = count($userType);
						for($i=0; $i<$count; $i++)
						{
							if( $userType[$i]['sut_id'] == 1)
							{
								$data = array('sut_id' => $userType[$i]['sut_id'], 'm_id' => $menuId, 'status' => 1);
								$addPrivileges = $db->insert('su_privileges',$data);   
							}
							else
							{
								$data = array('sut_id' => $userType[$i]['sut_id'], 'm_id' => $menuId, 'status' => 1);
								$addPrivileges = $db->insert('su_privileges',$data);   
							}
						}
						$general->SetMessage('New menu added successfully','s');
						header('Location: ?page=menu_manage');
					}

				}

			}
		?>
		<h2>Menu Management  <a class="btn" href="?page=menu_manage">Menu</a></h2>
		<?php
			$data = array('?page=menu_manage' => 'Menu Management', '1' => 'Add Menu');
			$general->breadcrumb($data,1);
		?>
		<form method="post" action="" enctype="multipart/form-data">
			<table align="center">
				<tr valign="top">
					<td>Menu Title</td>
					<td><input name="mTitle" type="text" value="<?=$_POST['mTitle']?>"/></td>
				</tr> 
				<tr valign="top">
					<td>Menu URL</td>
					<td><input name="nUrl" type="text" value="<?=$_POST['nUrl']?>"/></td>
				</tr>     
				<tr>
					<td valign="top">Menu Icon</td>
					<td><span class="btn btn-file"><input type="file" name="file" /></span> </td>
				</tr>  
				<tr valign="top">
					<td>Parant Name</td>
					<td>
						<select name="mParent">
							<option value="0">Select A parent</option>
							<?php
								$sql = $db->selectAll('menu', 'WHERE `m_parent` = 0 order by m_order');
								$count = count($sql);
								for($i=0; $i<$count; $i++)
								{
								?>
								<option value="<?=$sql[$i][0] ?>"><?=$sql[$i]['m_title']?></option>
								<?php
								}
							?>

						</select>
					</td>
				</tr>           
				<tr valign="top">
					<td>Status</td>
					<td>
						<select name="status">
							<option value="1">Publish</option>
							<option value="0">Unpublish</option>
						</select>
					</td>
				</tr>           
				<tr valign="top">
					<td>&nbsp;</td>
					<td><input name="mAdd" type="submit" class="btn" value="Add Menu"/></td>
				</tr>
			</table>
		</form> 
		<?php
		}
		elseif(isset($_GET['edit'])){
			$edit = intval($_GET['edit']);
			if(isset($_POST['mEdt'])){
				$title = $_POST['mTitle'];
				$url = $_POST['nUrl'];  

				$image = $_FILES["file"]["name"];
				$tempImage = $_FILES['file']['tmp_name'];

				if ($image) {
					$destination = "quick_menu_icon/";                 
					$name = $db->get_data('menu','m_id',$edit,'m_url');
					$imgName = $general->image_upload($image,$tempImage,$destination,$name,100);   
				}
				else{                
					$imgName = $db->get_data('menu','m_id',$edit,'m_icon');
				}
				if(isset($_POST['mParent'])){
					$parent = $_POST['mParent'];
				}
				else{
					$parent = 0;
				}

				$dataValidity = array(
					array(
						'field'        => $title,
						'label'        => 'Menu Title',
						'rules'        => 'need',
						'min_length'   => '3',
						'max_length'   => '30'
					),
					array(
						'field'        => $url,
						'label'        => 'Menu URL',
						'rules'        => 'need',
						'min_length'   => '3',
						'max_length'   => '30'
					),
					array(
						'field'   => $imgName,
						'label'   => 'Menu Icon',
						'rules'   => 'need'
					)
				);
				$data = $validation->set_rules($dataValidity);
				// print_r($data);
				if($data == true)
				{
					$upMenu = array(
						'm_url'     => $url,
						'm_title'   => $title,
						'm_icon'    => $imgName,
						'm_parent'  => $parent,
					);
					$where = array('m_id' => $edit);
					// print_r($upMenu);
					$menuUp = $db->update('menu',$upMenu, $where);
					if($menuUp)
					{
						$general->SetMessage('Menu update Complete','s'); 
						header('Location: ?page=menu_manage');
						exit();
					}
					else{
						$general->SetMessage('Menu update failed','e'); 
					}
				}
			}
			$edMenu = $db->get_rowData('menu','m_id',$edit);
		?>
		<h3>Menu Management <a class="btn" href="?page=menu_manage&menuadd">Add Menu</a></h3>
		<?php
			$data = array('?page=menu_manage' => 'Menu Management', '1' => 'Edit Menu');
			$general->breadcrumb($data,1);
			$general->show_msg(); 
		?>
		<form method="post" action="" enctype="multipart/form-data">
			<table align="center">
				<tr valign="top">
					<td>Menu Title</td>
					<td><input name="mTitle" type="text" value="<?=$edMenu['m_title']?>"/></td>
				</tr> 
				<tr valign="top">
					<td>Menu URL</td>
					<td><input name="nUrl" type="text" value="<?=$edMenu['m_url']?>"/></td>
				</tr>                      
				<tr>
					<td valign="top">Icon</td>
					<td><img src="quick_menu_icon/<?=$edMenu['m_icon']?>" alt=""></td>
				</tr>                      
				<tr>
					<td valign="top">Change Icon</td>
					<td><span class="btn btn-file"><input type="file" name="file" /></span> </td>
				</tr>
				<?php
					if($edMenu['m_parent'] !=0)
					{                         
					?>
					<tr valign="top">
						<td>Parant Name</td>
						<td>
							<select name="mParent">
								<?php
									$sql = $db->selectAll('menu', 'WHERE `m_parent` = 0 order by m_order asc');
									$count = count($sql);
									for($i=0; $i<$count; $i++)
									{
									?>
									<option value="<?=$sql[$i][0]?>" <?=$general->selected($sql[$i][0],$edMenu['m_parent'])?>>
										<?=$sql[$i]['m_title']?>
									</option>
									<?php
									}
								?>
							</select>
						</td>
					</tr>                    
					<?php
					}
				?>
				<tr valign="top">
					<td>&nbsp;</td>
					<td><input name="mEdt" type="submit" class="btn" value="Update"/></td>
				</tr>
			</table>
		</form>
		<h3 align="center">Access <?=$edMenu['m_title']?> Menu</h3>
		<table class="table table-bordered table-hover" style="width: 30%; margin: 0 auto;">
			<thead>
				<tr>
					<th width="5%">#</th>
					<th>User type</th>
					<th width="40%">Status</th> 
				</tr>
			</thead>
			<tbody>
				<?php 
					$userType = $db->selectAll('su_type');
					$count = count($userType);
					$no = 1;
					for($i=0; $i<$count; $i++)
					{
						$privi = $db->selectAll("su_privileges", "WHERE `sut_id` = ".$userType[$i][0]." AND `m_id` = ".$edit);
					?>
					<tr>
						<td><?=$no++?></td>
						<td><?=$userType[$i]['sut_title']?></td>
						<td>
							<div class="control-group<?=$i?>">
								<div class="controls btn sswitch sswitch-tow">
									<input id="<?=$i+$count?>" name="checkRow<?=$userType[$i]['sut_id']?>" onclick="statusChange(<?=$privi[0][0]?>,1)" type="radio" <?=$b=($privi[0]['status'] == 1)?'checked="checked"':'';?>>
									<label for="<?=$i+$count?>" onclick="">On</label>

									<input id="<?=$i+$count*2?>" name="checkRow<?=$userType[$i]['sut_id']?>" onclick="statusChange(<?=$privi[0][0]?>,0)" type="radio" <?=$b=($privi[0]['status'] == 0)?'checked="checked"':'';?>>
									<label for="<?=$i+$count*2?>" onclick="">Off</label>
									<span class="slide-button btn btn-success"></span>
								</div>
							</div>

						</td>
					</tr>
					<?php
					}
				?>
			</tbody>
		</table>
		<?php

		}
		else{
		?>
		<h1>Menu Management  <a class="btn" href="?page=menu_manage&menuadd">Add Menu</a></h1>

		<?php
			$data = array(1 => 'Menu Management');
			$general->breadcrumb($data,1);
			$general->show_msg();
		?>
		<table class="table table-bordered table-hover">
			<tr>
				<th width="5%">#</th>
				<th>Menu Title</th>
				<th>Parent</th> 
				<td width="10%">Status</td>
				<th width="8%">Edit</th>
			</tr>
			<tbody>
				<?php
				$u = 0;
					$menudata = $db->selectAll('menu','WHERE `m_parent` = 0 order by m_order asc');
					$count = count($menudata);
					$no = 1;
					for($i=0; $i<$count; $i++){
						$privi = $db->selectAll("menu", "WHERE `m_id` = ".$menudata[$i]['m_id']);
						if($menudata[$i]['m_parent'] == 0){
							$parent = 'None';
						}
						else{
							$parent = '<b><i>'.$db->get_data('menu','m_id',$menudata[$i]['m_parent'],'m_title').'</i></b>';
						}
					?>
					<tr>
						<td><?=$no++?></td>
						<td><b><?=$menudata[$i]['m_title']?></b></td>
						<td><?=$parent?></td>
						<td>
							<div class="control-group<?=$i?>">
								<div class="controls btn sswitch sswitch-tow">
									<input id="<?=$u?>" name="checkRow<?=$menudata[$i]['m_id']?>" onclick="statusChangeMenu(<?=$privi[0][0]?>,1)" type="radio" <?=$b=($privi[0]['status'] == 1)?'checked="checked"':'';?>>
									<label for="<?=$u++?>" onclick="">On</label>

									<input id="<?=$u?>" name="checkRow<?=$menudata[$i]['m_id']?>" onclick="statusChangeMenu(<?=$privi[0][0]?>,0)" type="radio" <?=$b=($privi[0]['status'] == 0)?'checked="checked"':'';?>>
									<label for="<?=$u++?>" onclick="">Off</label>
									<span class="slide-button btn btn-success"></span>
								</div>
							</div>
						</td>
						<td><a href="?page=menu_manage&edit=<?=$menudata[$i][0]?>" class='btn'><i class="icon-pencil"></i> Edit</a></td>
					</tr>
					<?php
						//sub menu show
						$subMenu = $db->selectAll('menu', 'WHERE `m_parent` = '.$menudata[$i]['m_id'].' order by m_order asc');
						$subMenuCount = count($subMenu);
						if($subMenuCount)
						{
							for($j=0; $j<$subMenuCount; $j++)
							{
								$privi = $db->selectAll("menu", "WHERE `m_id` = ".$subMenu[$j]['m_id']);

								$parent = '<b><i>'.$db->get_data('menu','m_id',$subMenu[$j]['m_parent'],'m_title').'</i></b>';
							?>
							<tr>
								<td><?=$no++?></td>
								<td><b><?=$subMenu[$j]['m_title']?></b></td>
								<td><?=$parent?></td>
								<td>
									<div class="control-group<?=$j?>">
										<div class="controls btn sswitch sswitch-tow">
											<input id="<?=$u?>" name="checkRow<?=$subMenu[$j]['m_id']?>" onclick="statusChangeMenu(<?=$privi[0][0]?>,1)" type="radio" <?=$b=($privi[0]['status'] == 1)?'checked="checked"':'';?>>
											<label for="<?=$u++?>" onclick="">On</label>

											<input id="<?=$u?>" name="checkRow<?=$subMenu[$j]['m_id']?>" onclick="statusChangeMenu(<?=$privi[0][0]?>,0)" type="radio" <?=$b=($privi[0]['status'] == 0)?'checked="checked"':'';?>>
											<label for="<?=$u?>" onclick="">Off</label>
											<span class="slide-button btn btn-success"></span>
										</div>
									</div>
								</td>
								<td><a href="?page=menu_manage&edit=<?=$subMenu[$j][0]?>" class='btn'><i class="icon-pencil"></i> Edit</a></td>
								<!--<td>
								<a onclick="return confirmSubmit()"href="?page=menu_manage&delete=<?=$subMenu[$j][0]?>">
								<i class="icon-trash"></i> Delete
								</a>
								</td>-->
							</tr>
							<?php
							}

						}
					}
				?>
			</tbody>
		</table>
		<?php
		}
	?>

	<script type="text/javascript">
		function statusChange(id, status){          
			if (window.XMLHttpRequest)
			{// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}
			else
			{// code for IE6, IE5
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			xmlhttp.onreadystatechange=function()
			{
				if (xmlhttp.readyState==4 && xmlhttp.status==200)
				{
					document.getElementById("output").innerHTML=xmlhttp.responseText;
				}
			}
			xmlhttp.open("GET","view/status_change.php?change=6&id="+id+"&status="+status+"&whereFild=sp_id" ,true);
			xmlhttp.send();
		}
		function statusChangeMenu(id, status){
			if (window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}
			else{// code for IE6, IE5
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			xmlhttp.onreadystatechange=function(){
				if (xmlhttp.readyState==4 && xmlhttp.status==200){
					document.getElementById("output").innerHTML=xmlhttp.responseText;
				}
			}
			xmlhttp.open("GET","view/status_change.php?change=1&id="+id+"&status="+status+"&whereFild=m_id" ,true);
			xmlhttp.send();
		}

	</script>  

	<?php
	}
?>    
