<?php
    if(isset($_GET['add'])){
    ?>
    <h2>Add Notice</h2>
    <?php
        $data = array('?Notice='.$Notices->Notices => 'Notices', '1' => 'Add Notice');
        $general->breadcrumb($data,1);

        if(isset($_POST['addNotice'])){
            $title = mysql_real_escape_string($_POST['title']);
            $content = mysql_real_escape_string($_POST['content']);

            if(empty($title)){
                $general->SetMessage('Notice <b>title</b> field are required.','e');
                $error = 1;
            }
            if(empty($content)){
                $general->SetMessage('Notice <b>content</b> field are required.','e');
                $error = 1;
            }
            if(strlen($title) > 100){
                $general->SetMessage('Notice <b>title</b> field maximum length are 50.','e');
                $error = 1;
            }

            if(!isset($error)){
                $NoticeData = array(
                    'title'         => $title,
                    'content'       => $content,
                    'create_by'     => 00,
                    'create_time'   => time(),
                    'update_by'     => 00,
                    'update_time'   => time(),
                    'status'        => 1
                );

                $NoticeInsert = $db->insert($general->table(11),$NoticeData);
                if($NoticeInsert){
                    $general->SetMessage('New Notice added successfully.','s');
                    header('location:?page=notice');
                    exit();
                }
                else{
                    $general->SetMessage('Some problem there. Please try again','e');
                }
            }
        }
        $general->show_msg();
    ?>
    <div class="span9">
        <form action='' method='POST'>
            <table class='table'>
                <tr>
                    <td>Title<?=$bootstrapRequire?></td>
                    <td>
                        <?=$bootstrapValid1?>
                        <input type="text" required="required" name="title" value="<?=$_POST['title']?>">
                        <?=$bootstrapValid2?>
                    </td>
                </tr>
                <tr>
                    <td>Content<?=$bootstrapRequire?></td>
                    <td><textarea class="usetinymce" name="content"><?=$_POST['content']?></textarea></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><input type="submit" class="btn btn-primary" value="Add Notice" name="addNotice"></td>
                </tr>
            </table>
        </form>
    </div>
    <?php
    }
    elseif(isset($_GET['edit'])){
    ?>
    <h2>Edit Notice</h2>
    <?php
        $data = array('?page=notice' => 'Notices', '1' => 'Edit Notice');
        $general->breadcrumb($data,1);
        $edit = intval($_GET['edit']);
        if($edit == 0){
            $general->SetMessage('You select a wrong Notice.','w');
            header('location: ?page=notice');
            exit();
        }
        $Notice = $db->get_rowData($general->table(11),'id',$edit);
        if(empty($Notice)){
            $general->SetMessage('Your requested Notice not found.','w');
            header('location: ?page=notice');
            exit();
        }

        if(isset($_POST['upNotice'])){
            $title = mysql_real_escape_string($_POST['title']);
            $content = mysql_real_escape_string($_POST['content']);

            if(empty($title)){
                $general->SetMessage('Notice <b>title</b> field are required.','e');
                $error = 1;
            }
            if(empty($content)){
                $general->SetMessage('Notice <b>content</b> field are required.','e');
                $error = 1;
            }
            if(strlen($title) > 100){
                $general->SetMessage('Notice <b>title</b> field maximum length are 50.','e');
                $error = 1;
            }

            if(!isset($error)){
                $NoticeData = array(
                    'title'    => $title,
                    'content'  => $content
                );
                $where = array("id" => $Notice['id']);
                $NoticeUpdate= $db->update($general->table(11),$NoticeData,$where);
                if($NoticeUpdate){
                    $general->SetMessage('Notice updated successfully.','s');
                    header('location: ?page=notice');
                    exit();
                }
                else{
                    $general->SetMessage('Some problem there. Please try again later.','e');
                    header('location: ?page = notice');
                    exit();
                }
            }
        }
        $Notice = $db->get_rowData($general->table(11),'id',$edit);
        $general->show_msg();
    ?>
    <div class="span9">
        <form action='' method='POST'>
            <table class='table'>
                <tr>
                    <td>Title<?=$bootstrapRequire?></td>
                    <td>
                        <?=$bootstrapValid1?>
                        <input type="text" class="span4" required="required" name="title" value="<?=$Notice['title']?>">
                        <?=$bootstrapValid2?>
                    </td>
                </tr>
                <tr>
                    <td>Content<?=$bootstrapRequire?></td>
                    <td><textarea class="usetinymce" name="content"><?=$Notice['content']?></textarea></td>
                </tr>
                <tr>
                    <td>&nbsp;</td>
                    <td><input type="submit" class="btn btn-primary" value="Update Notice" name="upNotice"></td>
                </tr>
            </table>
        </form>
    </div>
    <?php
    }
    else{
    ?>
    <h2>Notices <a href="?page=notice&add" class="btn">Add Notice</a></h2>
    <?php
        $data = array('1' => 'Notices');
        $general->breadcrumb($data,1);
        $general->show_msg();
    ?>
    <table class="table table-bordered table-hover">
        <tr>
            <td>#</td>
            <td>Title</td>
            <td>Content</td>
            <td width="15%">status</td>
            <td width="8%">Edit</td>
        </tr>
        <?php
            $Notice = $db->selectAll($general->table(11));
            $count = count($Notice);
            $ff = 1;
            
            for($i=0; $i<$count; $i++){
            ?>
            <tr>
                <td><?=$d=$i+1?></td>
                <td><?=$general->content_show($Notice[$i]['title'])?></td>
                <td><?=$general->content_show($general->shorter($Notice[$i]['content'],100))?></td>
                <td>
                    <div class="control-group<?=$i?>">
                        <div class="controls btn sswitch sswitch-tow">
                            <input id="<?=$ff?>" name="checkRow<?=$Notice[$i]['id']?>" onclick="statusChange(<?=$Notice[$i]['id']?>,1)" type="radio" <?=$b=($Notice[$i]['status'] == 1)?'checked="checked"':'';?>>
                            <label for="<?=$ff++?>" onclick="">Active</label>

                            <input id="<?=$ff?>" name="checkRow<?=$Notice[$i]['id']?>" onclick="statusChange(<?=$Notice[$i]['id']?>,0)" type="radio" <?=$b=($Notice[$i]['status'] == 0)?'checked="checked"':'';?>>
                            <label for="<?=$ff++?>" onclick="">Deactive</label>
                            <span class="slide-button btn btn-success"></span>
                        </div>
                    </div>
                </td>
                <td><a href="?page=notice&edit=<?=$Notice[$i]['id']?>" class="btn">Edit</a></td>
            </tr>
            <?php
            }
        ?>
    </table>
    <?php
    }
?>
<div id="output"></div>
<script type="text/javascript">
    function statusChange(id, status){
    if (window.XMLHttpRequest)
        {// code for IE7+, Firefox, Chrome, Opera, Safari
        xmlhttp=new XMLHttpRequest();
    }
    else
        {// code for IE6, IE5
        xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
    }
    xmlhttp.onreadystatechange=function()
    {
        if (xmlhttp.readyState==4 && xmlhttp.status==200)
            {
            document.getElementById("output").innerHTML=xmlhttp.responseText;
        }
    }
    xmlhttp.open("GET","view/status_change.php?change=11&id="+id+"&status="+status+"&whereFild=id" ,true);
    xmlhttp.send();
    }
</script>
