<?php
	if(isset($_POST['nPhoto'])){
		$tempImage   = $_FILES['file']['tmp_name'];
		if(!empty($_FILES['file']['name'])){
			$temp = explode(".", $_FILES["file"]["name"]);
			$extension = end($temp);
			if ($general->image_type_is_ok($_FILES['file']))
			{
				if(($_FILES["file"]["size"] < 307200)){ //max 300 KB

					$destination    = "../images/gallary_image/";
					$ImageName      = 'gallary_'.time().'_'.rand(0,9).rand(0,9).'.'.$extension;  
					$upload = move_uploaded_file($_FILES["file"]["tmp_name"],$destination.$ImageName);
					if(!$upload){
						$general->SetMessage('Some problem there please try again later','e');
						$error = 1;
					}
				}
				else{
					$general->SetMessage('Invalid size for profile picture. Maximum 300KB','e');
					$error = 1;
				}
			}
			else{
				$general->SetMessage('Invalid file for profile picture.','e');
				$error = 1;
			}

			if(!isset($error)){
				$imageData = array(
					'i_name'        => $ImageName,
					'i_add_time'    => time(),
					'i_add_admin'   => $admin['su_id'],
					'i_type'        => 0,
					'status'        => 1
				);
				$imgInsert = $db->insert($general->table(13),$imageData);
				if($imgInsert){
					$general->SetMessage('Upload successfully.','s');
					$general->redirect('?page=picture_gallary');
				}
				else{
					$general->SetMessage('some problem of there.Please tyr again later.','e');
					unlink($destination.$imgName);
				}
			}
		}
		else{
			$general->SetMessage('You are not select any Photo.','e');
		}
	}


	$data = array(
		1=>'Picture Gallary'
	);
?>
<h1>Picture Gallary</h1>
<?php
	$general->breadcrumb($data);
?>
<div>
	<form action="" method="post" enctype="multipart/form-data">
		<span class="btn btn-file">
		Add New Image 
		<input type="file" name="file"/>
		<input type="submit" name="nPhoto" value="Upload" class="btn">
	</form>
</div>
<?php
	$images = $db->selectAll($general->table(13),'where i_type = 0');
	$count = count($images);
	$general->show_msg();
?>
<hr>
<div class="span12">
	<?php
		$v=1;
		for($i=0; $i<$count; $i++){
			if($images[$i]['status']==1){
				$checked = 'checked="checked"';
			}    
			else{
				$checked = '';
			}
		?>

		<div class="span3" style="margin-top: 25px; padding-left: 10px;" id=image-<?=$i?>>
			<div style="height: 300px;">
				<img class="img-rounded" src="../images/gallary_image/<?=$images[$i]['i_name']?>" style="margin-bottom: 10px; width: 300px; max-height: 300px;">
			</div>
			<div class="span3">

				<div class="control-group<?=$i?> pull-left span2" style="margin-left: 0;">
					<div class="controls btn sswitch sswitch-tow">
						<input id="<?=$v?>" name="checkRow<?=$images[$i]['i_id']?>" onclick="statusChange(<?=$images[$i]['i_id']?>,1)" type="radio"
							<?=$general->checked($images[$i]['status'],1)?>>
						<label for="<?=$v++?>" onclick="">Publish</label>

						<input id="<?=$v?>" name="checkRow<?=$images[$i]['i_id']?>" onclick="statusChange(<?=$images[$i]['i_id']?>,0)" type="radio"
							<?=$general->checked($images[$i]['status'],0)?>>
						<label for="<?=$v++?>" onclick="">Unpublish</label>
						<span class="slide-button btn btn-success"></span>
					</div>
				</div>
				<div class="pull-right">
					<input type="button" onclick="deleteImage('image-<?=$i?>',<?=$images[$i]['i_id']?>)" class="btn btn-danger" value="Delete">
				</div>
			</div>
		</div>
		<?php
		}
	?>
</div>
<div id="output"></div>
<script type="text/javascript">
	function statusChange(id, status){
		if (window.XMLHttpRequest){// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function(){
			if (xmlhttp.readyState==4 && xmlhttp.status==200){
				document.getElementById("output").innerHTML=xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET","view/status_change.php?change=13&id="+id+"&status="+status+"&whereFild=i_id" ,true);
		xmlhttp.send();
	}

	function deleteImage(divId,imageId){
		if(confirmSubmit() == true){
			$('#'+divId).fadeOut('slow');
			if (window.XMLHttpRequest)
			{// code for IE7+, Firefox, Chrome, Opera, Safari
				xmlhttp=new XMLHttpRequest();
			}
			else
			{// code for IE6, IE5
				xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
			}
			xmlhttp.onreadystatechange=function()
			{
				if (xmlhttp.readyState==4 && xmlhttp.status==200)
				{
					document.getElementById("output").innerHTML=xmlhttp.responseText;
				}
			}
			xmlhttp.open("GET","ajax/ajax.php?change=13&id="+imageId+"&status=un&whereFild=i_id" ,true);
			xmlhttp.send();
		}
	}
</script>