<?php
	if(isset($_GET['add'])){
		if($admin['su_type'] != 1){
			$general->SetMessage('You are not authorize to add any page.');
			$general->redirect($site->url);
		}
	?>
	<h2>Add Page</h2>
	<?php
		$data = array('?page=cms' => 'Static Page', '1' => 'Add Page');
		$general->breadcrumb($data,1);

		if(isset($_POST['addPage'])){
			$title = mysql_real_escape_string($_POST['title']);
			$content = mysql_real_escape_string($_POST['content']);

			if(empty($title)){
				$general->SetMessage('Page <b>title</b> field are required.','e');
				$error = 1;
			}
			elseif(strlen($title) > 100){
				$general->SetMessage('Page <b>title</b> field maximum length are 100.','e');
				$error = 1;
			}
			if(empty($content)){
				$general->SetMessage('Page <b>content</b> field are required.','e');
				$error = 1;
			}
			

			if(!isset($error)){
				$slug = 'sp_'.time().rand(0,9).rand(0,9).rand(0,9);
				$pageData = array(
					'sp_title'          => $title,
					'sp_url'            => $slug,
					'sp_content'        => $content,
					'sp_create_time'    => time(),
					'sp_update_time'    => time(),
					'status'            => 1
				);

				$pageInsert = $db->insert($general->table(12),$pageData);
				if($pageInsert){
					$general->SetMessage('New page added successfully.','s');
					$general->redirect('?page=cms');
				}
				else{
					$general->SetMessage('Some problem there. Please tray again','e');
				}
			}
		}
		$general->show_msg();
	?>
	<div class="span9">
		<form action='' method='POST'>                                                      
			<table class='table'>
				<tr>
					<td>Title<?=$bootstrapRequire?></td>
					<td>
						<?=$bootstrapValid1?>
						<input type="text" required="required" name="title" value="<?=$_POST['title']?>">
						<?=$bootstrapValid2?>
					</td>
				</tr>
				<tr>
					<td>Content<?=$bootstrapRequire?></td>
					<td><textarea class="usetinymce" name="content"><?=$_POST['content']?></textarea></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input type="submit" class="btn btn-primary" value="Add Page" name="addPage"></td>
				</tr>
			</table>
		</form>
	</div>
	<?php
	}
	elseif(isset($_GET['edit'])){
	?>
	<h2>Edit Page</h2>
	<?php
		$data = array('?page=cms' => 'Static Page', '1' => 'Edit Page');
		$general->breadcrumb($data,1);
		$edit = intval($_GET['edit']);
		if($edit == 0){
			$general->SetMessage('You select a wrong page.','w');
			header('location: ?page=cms');
			exit();
		}
		$page = $db->get_rowData($general->table(12),'sp_id',$edit);
		if(empty($page)){
			$general->SetMessage('Your requested page not found.','w');
			header('location: ?page=cms');
			exit();
		}
		
		if(isset($_POST['upPage'])){
			$title = mysql_real_escape_string($_POST['title']);
			$content = mysql_real_escape_string($_POST['content']);

			if(empty($title)){
				$general->SetMessage('Page <b>title</b> field are required.','e');
				$error = 1;
			}
			if(empty($content)){
				$general->SetMessage('Page <b>content</b> field are required.','e');
				$error = 1;
			}
			if(strlen($title) > 100){
				$general->SetMessage('Page <b>title</b> field maximum length are 50.','e');
				$error = 1;
			}

			if(!isset($error)){
				$preSlug = $general->make_url($title);
				$slug = $db->make_slug_available($general->table(12)," where sp_url = '".$preSlug."' and sp_id != ".$edit,$preSlug);
				$pageData = array(
					'sp_title'      => $title,
					'sp_url'        => $slug,
					'sp_content'    => $content,
					'sp_update_time'=> time(),
					'status'        => 1
				);
				$where = array("sp_id" => $page['sp_id']);
				$pageUpdate= $db->update($general->table(12),$pageData,$where);
				if($pageUpdate){
					$general->SetMessage('Page updated successfully.','s');
					header('location: ?page=cms');
					exit();
				}
				else{
					$general->SetMessage('Some problem there. Please try again later.','e');
					header('location: ?page=cms');
					exit();
				}
			}
		}
		$page = $db->get_rowData($general->table(12),'sp_id',$edit);
		$general->show_msg();
	?>
	<div class="span9">
		<form action='' method='POST'>                                                      
			<table class='table'>
				<tr>
					<td>Title<?=$bootstrapRequire?></td>
					<td>
						<?=$bootstrapValid1?>
						<input type="text" class="span4" required="required" name="title" value="<?=$general->content_show($page['sp_title'])?>">
						<?=$bootstrapValid2?>
					</td>
				</tr>
				<tr>
					<td>Content<?=$bootstrapRequire?></td>
					<td><textarea class="tinymce" name="content"><?=$general->content_show($page['sp_content'])?></textarea></td>
				</tr>
				<tr>
					<td>&nbsp;</td>
					<td><input type="submit" class="btn btn-primary" value="Update Page" name="upPage"></td>
				</tr>
			</table>
		</form>
	</div>
	<?php
	}
	else{
	?>
	<h2>Content managment <a href="?page=cms&add" class="btn">Add Page</a></h2>
	<?php
		$data = array('1' => 'Static Page');
		$general->breadcrumb($data,1);
		$general->show_msg(); 
	?>
	<table class="table table-bordered table-hover">
		<tr>
			<td>#</td>
			<td>Page Id</td>
			<td>Title</td>
			<td>Content</td>
			<td>Slug</td>
			<td width="15%">status</td>
			<td width="8%">Edit</td>
		</tr>
		<?php
			$page = $db->selectAll($general->table(12));
			$count = count($page);
			for($i=0; $i<$count; $i++){
			?>
			<tr>
				<td><?=$d=$i+1?></td>
				<td><?=$page[$i]['sp_id']?></td>
				<td><?=$general->content_show($page[$i]['sp_title'])?></td>
				<td><?=$general->content_show($general->shorter($page[$i]['sp_content'],100))?></td>
				<td><?=$page[$i]['sp_url']?></td>
				<td>                       
					<div class="control-group<?=$i?>">
						<div class="controls btn sswitch sswitch-tow">
							<input id="<?=$i+$count?>" name="checkRow<?=$page[$i]['sp_id']?>" onclick="statusChange(<?=$page[$i]['sp_id']?>,1)" type="radio" <?=$b=($page[$i]['status'] == 1)?'checked="checked"':'';?>>
							<label for="<?=$i+$count?>" onclick="">Active</label>

							<input id="<?=$i+$count*2?>" name="checkRow<?=$page[$i]['sp_id']?>" onclick="statusChange(<?=$page[$i]['sp_id']?>,0)" type="radio" <?=$b=($page[$i]['status'] == 0)?'checked="checked"':'';?>>
							<label for="<?=$i+$count*2?>" onclick="">Deactive</label>
							<span class="slide-button btn btn-success"></span>
						</div>
					</div>
				</td>
				<td><a href="?page=cms&edit=<?=$page[$i]['sp_id']?>" class="btn">Edit</a></td>
			</tr>
			<?php
			}
		?>
	</table>
	<?php
	}
?>
<div id="output"></div>
<script type="text/javascript">
	function statusChange(id, status){
	if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp=new XMLHttpRequest();
	}
	else
		{// code for IE6, IE5
		xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
	}
	xmlhttp.onreadystatechange=function()
	{
		if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
			document.getElementById("output").innerHTML=xmlhttp.responseText;
		}
	}
	xmlhttp.open("GET","view/status_change.php?change=16&id="+id+"&status="+status+"&whereFild=sp_id" ,true);
	xmlhttp.send();
	}
</script>  
