<!DOCTYPE html>
<html>
<head>
	<meta http-equiv='Content-Type' content='text/html; charset=utf-8'>
	<title><?=$site->name?></title>
	<link href="css/bootstrap.min.css" rel="stylesheet" media="screen">
	<link href="css/admin.css" rel="stylesheet">
	<script src="js/jquery-latest.min.js"></script>
	<script src="js/bootbox.js"></script>
	<script src="js/bootbox.min.js"></script>
	<script src="js/jquery-ui-1.7.1.custom.min.js"></script>
	<!--<script src="js/jquery-1.3.2.min.js"></script>-->

	<link rel="shortcut icon" href="favicon.png">
	<!--confirm delet-->
	<script LANGUAGE="JavaScript">
		function confirmSubmit()
		{
			var agree=confirm("Are you sure you wish to continue?");
			if (agree)
				return true ;
			else
				return false ;
		}
	</script>
	<!--Confirm Delet end-->


	<!--Styling switching-->
	<link rel="stylesheet" href="switching/stylesheets/bootstrapSwitch.css">
	<link rel="stylesheet" href="switching/lib/toggle-switch.css">
	<link rel="stylesheet" href="css/prettify.css">
	<!-- end Styling switching-->
	<script type="text/javascript" src="js/jqBootstrapValidation.js"></script>
	<script>
		$(function () { $("input,select,textarea").not("[type=submit]").jqBootstrapValidation(); } );
	</script>

	<script type="text/javascript" src="js/tiny_mce/tiny_mce.js"></script>
	<script type="text/javascript">
		tinyMCE.init({
			// General options
			/*mode : "textareas",
			theme : "advanced",*/
			mode : "specific_textareas",
			editor_selector : "usetinymce",
			theme : "advanced",
			width: '220px',

			plugins : "autolink,lists,spellchecker,pagebreak,style,layer,table,save,advhr,advimage,advlink,emotions,iespell,inlinepopups,insertdatetime,preview,media,searchreplace,print,contextmenu,paste,directionality,fullscreen,noneditable,visualchars,nonbreaking,xhtmlxtras,template",

			// Theme options
			theme_advanced_buttons1 : "bold,italic,underline,|,undo,redo,|,justifyleft,justifycenter,justifyright,justifyfull,|,styleselect,formatselect,fontselect,fontsizeselect",
			theme_advanced_buttons2 : "cut,copy,paste,pastetext,pasteword,|,search,replace,|,bullist,numlist,|,undo,redo,|,link,unlink,image,cleanup,help,code,|,insertdate,inserttime,preview,|,forecolor,backcolor",
			theme_advanced_toolbar_location : "top",
			theme_advanced_toolbar_align : "left",
			theme_advanced_statusbar_location : "bottom",
			theme_advanced_resizing : true,

			// Skin options
			skin : "o2k7",
			skin_variant : "silver",

			// Example content CSS (should be your site CSS)
			content_css : "css/example.css",

			// Drop lists for link/image/media/template dialogs
			template_external_list_url : "js/template_list.js",
			external_link_list_url : "js/link_list.js",
			external_image_list_url : "js/image_list.js",
			media_external_list_url : "js/media_list.js",

			// Replace values for the template plugin
			template_replace_values : {
				username : "Some User",
				staffid : "991234"
			}
		});
	</script>


	<!--Datepicker-->

	<link href="../css/jquery-ui-datepekar.css" rel="stylesheet" media="screen">
	<script src="../js/jquery-ui-datepekar.js"></script>

	<script>
		$(function() {
			$(".datepicker").datepicker({ dateFormat: "mm/dd/yy" }).val();
			$(".datepicker" ).datepicker( "option", "changeMonth", true );
			$(".datepicker" ).datepicker( "option", "changeYear", true );
		});
  
	</script>
	<!--Datepicker-->


</head>
<body>
<div class="container navbar-wrapper">

	<div class="navbar navbar-inverse">
		<div class="navbar-inner">
			<a data-target=".nav-collapse" data-toggle="collapse" class="btn btn-navbar">
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
				<span class="icon-bar"></span>
			</a>
			<a href="<?=$site->admin_url?>" class="brand"><?=$site->name?></a>
			<div class="nav-collapse collapse">
				<?php if(!empty($adminName)){ ?>
					<ul class="nav">
						<li><a href="<?=$site->admin_url?>">Home</a></li>
						<li><a href="?page=admin_profile">My profile</a></li>
					</ul>
					<?php } ?>
			</div>
			<div class="nav-collapse collapse">
				<p class="navbar-text pull-right">
					<a href="<?=$site->url?>" target="_BLANK">Visit Site</a> |
					<?php
						if($adminName)
						{
						?>
						Logged in as <a class="navbar-link" href="javascript:void"><?=$db->get_data('system_user', 'su_email', $adminName, 'su_name')?></a> | <a href="logout.php">Logout</a>
						<?php
						}
					?>
				</p>
			</div>
		</div>
	</div>
</div>

<div class="container marketing">
<div style="min-height: 700px;">
<?php
	if($adminName)
	{
		if(empty($_GET['page']) || !isset($_GET['page']))
		{
			include('quick-menu.php');
		}
	}
?>