<?php
	if(isset($_GET['details'])){
		$memberid = intval($_GET['details']);
		$member = $db->getRowData($general->table(9),' where id='.$memberid);
		if(empty($member)){
			$general->SetMessage('Member not found.','e');
			$general->redirect('?page=members');
		}
	?>
	<h3>Member Details - <?=$member['en_name']?></h3>
	<?php
		$data = array('?page=members'=>'Members',1=>'details');
		$general->breadcrumb($data,1);
		$general->show_msg(); 
	?>
	<div class="span4">
		<table class="table table-bordered table-condensed table-hover table-striped">
			<tr>
				<td>Profile Picture</td>

				<td><img src="<?=$site->url.'/uploads/'.$member['profile_picture']?>"  style="max-height: 150px;"></td>
			</tr>
			<tr>
				<td>Name [English] </td>

				<td><?=$member['en_name']?></td>
			</tr>
			<tr>
				<td>Name [Bangla] </td>

				<td><?=$member['bn_name']?></td>
			</tr>
			<tr>
				<td>Surname  </td>

				<td><?=$member['sur_name']?></td>
			</tr>
			<tr>
				<td>Contact No</td>

				<td><?=$member['contact_no']?></td>
			</tr>
			<tr>
				<td>Email  </td>

				<td><?=$member['email']?></td>
			</tr>
			<tr>
				<td>Date of Birth </td>

				<td><?=$general->make_date($member['dob'])?></td>
			</tr>
			<tr>
				<td>Blood Group </td>

				<td><?=$member['blood_group']?></td>
			</tr>
			<tr>
				<td>Last Degree</td>

				<td><?=$member['last_degree']?></td>
			</tr>
			<tr>
				<td>Left School</td>

				<td><?=$member['left_school']?></td>
			</tr>
			<tr>
				<td>Last Institution Name</td>

				<td><?=$member['last_institute']?></td>
			</tr>
			<tr>
				<td>Occupation</td>

				<td><?=$member['occupation']?></td>
			</tr>
			<tr>
				<td>Organization</td>

				<td><?=$member['organization']?></td>
			</tr>
			<tr>
				<td>Address</td>

				<td><?=$member['address']?></td>
			</tr>
			<tr>
				<td>Present Address</td>

				<td><?=$member['pre_address']?></td>
			</tr>
			<tr>
				<td>City/Zilla</td>

				<td><?=$member['pre_city']?></td>
			</tr>
			<tr>
				<td>Postal Code </td>

				<td><?=$member['pre_postal_code']?></td>
			</tr>
			<tr>
				<td>Contact No</td>

				<td><?=$member['pre_contact1']?></td>
			</tr>
			<tr>
				<td>Contact No</td>

				<td><?=$member['pre_contact2']?></td>
			</tr>
			<tr>
				<td>Permanent Address</td>

				<td><?=$member['per_address']?></td>
			</tr>
			<tr>
				<td>City/Zilla</td>

				<td><?=$member['per_city']?></td>
			</tr>
			<tr>
				<td>Contact No</td>

				<td><?=$member['per_contact1']?></td>
			</tr>
			<tr>
				<td>Contact</td>

				<td><?=$member['per_contact2']?></td>
			</tr>
			<tr>
				<td>Postal Code</td>

				<td><?=$member['per_postal_code']?></td>
			</tr>
			<tr>
				<td>Size of Polo Shirt</td>

				<td><?=$member['polo_shirt']?></td>
			</tr>
			<tr>
				<td valign='middle'>Registration Fee Paid ?</td>

				<td><?=($member['reg_fee_paid']==1)?'Paid':'Not Paid'?>
				</td>
			</tr>
			<?php
				if(!empty($member['bank_slip']) && $member['reg_fee_paid'] ==1){
				?>
				<tr>
					<td valign='middle'>Bank Slip </td>

					<td>
						<?php
							echo '<img src="'.$site->url.'/uploads/bank_slip/'.$member['bank_slip'].'" widtd="400"/>';
						?>
					</td>
				</tr>
				<?php
				}
			?>
			<tr>
				<td>Father</td>

				<td><?=$member['father']?></td>
			</tr>
			<tr>
				<td>Mother</td>

				<td><?=$member['mother']?></td>
			</tr>
			<tr>
				<td>Spouse</td>

				<td><?=$member['spouse']?></td>
			</tr>
			<tr>
				<td>Date of Anniversary </td>

				<td><?=($member['anniversary'] != 0)?$general->make_date($member['anniversary']):'Not given'?></td>
			</tr>
			<tr>
				<td>About Yourself </td>

				<td><?=$member['about_you']?></td>
			</tr>
			<tr>
				<td>&nbsp;</td>
				<td>
					<a href="?page=members&edit=<?=$member['id']?>" class="btn btn-success">Edit</a> <a href="?page=members&delete=<?=$member['id']?>" class="btn btn-danger" onclick="return confirm('Are you sure to delete <?=$member['en_name']?> profile?');">Delete</a></td>
			</tr>
		</table>
	</div>

	<div class="span10">
		<h4>Child Information</h4>
		<table class="span10 table-bordered table-striped table-hover">
			<thead>
				<tr>
					<th>Picture</th>
					<th>Name</th>
					<th>Sex</th>
					<th>Date of Birtd</th>
					<th>Blood Group</th>
					<th>Class</th>
					<th>Instute</th>
				</tr>
			</thead>
			<?php
				$v=1;
				$childs = $db->selectAll($general->table(10),' where member_id = '.$memberid);
				foreach($childs as $child){
				?>
				<tr>
					<td valign="top" width="100"><img src="../uploads/child_photo/<?=$child['pic']?>" width="100" /></td>
					<td valign="top"><?=$child['name']?></td>
					<td valign="top"><?=$child['sex']?></td>
					<td valign="top"><?=$general->make_date($child['dob'])?></td>
					<td valign="top"><?=$child['blood_group']?></td>
					<td valign="top"><?=$child['class']?></td>
					<td valign="top"><?=$child['instute']?></td>
				</tr>
				<?php
				}
			?>
		</table>
	</div>
	<?php
	}
	elseif(isset($_GET['edit'])){
		include 'view/member_edit.php';
	}
	else{
		if(isset($_GET['delete'])){
			$memberid = intval($_GET['delete']);
			$member = $db->getRowData($general->table(9),' where id='.$memberid);
			if(empty($member)){
				$general->SetMessage('Invalid member select for delete.','e');
				$general->redirect('?page=members');
			}
			unlink('../uploads/'.$member['profile_picture']);
			
			if($member['bank_slip'] != 'none.jpg' && is_file('../uploads/bank_slip/'.$member['bank_slip'])){
				unlink('../uploads/bank_slip/'.$member['bank_slip']);
			}
			$childs = $db->selectAll($general->table(10),' where member_id = '.$member['m_id']);
			if(!empty($childs)){
				foreach($childs as $child){
					if($childs['pic'] != 'none.jpg'):
						unlink('../uploads/child_photo/'.$childs['pic']);
						endif;
				}
			}
			$where = array('member_id' => $member['id']);
			$db->delete($general->table(10),$where);
			$where = array('id' => $member['id']);
			if( $db->delete($general->table(9),$where)){
				$general->SetMessage('User Delete successfully','s');
				$general->redirect('?page=members');
			}
		}
	?>
	<h3>Members</h3>
	<?php
		$data = array(1=>'Members');
		$general->breadcrumb($data,1);
		$general->show_msg();
	?>
	<table class=" span12 table table-striped table-hover">
		<tr>
			<td>SL.</td>
			<td>Picture</td>
			<td>Name</td>
			<td>Email</td>
			<td>Phone</td>
			<td>Details</td>
			<td>Paid Status</td>
			<td>Registered</td>
			<td>Delete</td>
		</tr>
		<?php

			$sql = "";
			$limit = 20;
			$currentPage = (isset($_GET['current']))?$_GET['current']:1;
			$pageInation = $general->pageInationpre($general->table(9),$limit, $currentPage, $sql);
			$members = $db->selectAll($general->table(9), $sql. ' '.$pageInation['limit']);
			$i= $pageInation['start'];
			$v = 1;
			foreach($members as $member):
			?>
			<tr>
				<td><?=$i++?></td>
				<td><img src="<?=$site->url?>/uploads/<?=$member['profile_picture']?>" width="100" /></td>
				<td><?=$member['en_name']?></td>
				<td><?=$member['email']?></td>
				<td><?=$member['contact_no']?></td>
				<td><a class="btn btn-info" href="?page=members&details=<?=$member['id']?>">Details</a></td>
				<td><?=$general->reg_fee_paid($member['reg_fee_paid'])?></td>
				<td>
					<div class="control-group<?=$i?>">
						<div class="controls btn sswitch sswitch-tow">
							<input id="<?=$v?>" name="checkRow<?=$member['id']?>" onclick="statusChange(<?=$member['id']?>,1)" type="radio" <?=$b=($member['status'] == 1)?'checked="checked"':'';?>>
							<label for="<?=$v++?>" onclick="">Yes</label>

							<input id="<?=$v?>" name="checkRow<?=$member['id']?>" onclick="statusChange(<?=$member['id']?>,0)" type="radio" <?=$b=($member['status'] == 0)?'checked="checked"':'';?>>
							<label for="<?=$v++?>" onclick="">No</label>
							<span class="slide-button btn btn-success"></span>
						</div>
					</div>
				</td>
				<td>
					<a href="?page=members&delete=<?=$member['id']?>" class="btn btn-danger" onclick="return confirm('Are you sure to delete <?=$member['en_name']?> profile?');">
						Delete
					</a>
				</td>
			</tr>
			<?php
				endforeach;
		?>
	</table>
	<?php
		$link = "page=members&current";
		echo '<div align="center" style="margin-top:10px;">';
		$general->pageination($pageInation['currentPage'],$pageInation['TotalPage'],$link);
		echo '</div>';
	}
?>
<script type="text/javascript">
	function statusChange(id, status){
		if (window.XMLHttpRequest)
		{// code for IE7+, Firefox, Chrome, Opera, Safari
			xmlhttp=new XMLHttpRequest();
		}
		else
		{// code for IE6, IE5
			xmlhttp=new ActiveXObject("Microsoft.XMLHTTP");
		}
		xmlhttp.onreadystatechange=function()
		{
			if (xmlhttp.readyState==4 && xmlhttp.status==200)
			{
				document.getElementById("output").innerHTML=xmlhttp.responseText;
			}
		}
		xmlhttp.open("GET","ajax/ajax.php?change=9&id="+id+"&status="+status+"&whereFild=id&paid=status" ,true);
		xmlhttp.send();
	}
</script>